#ifndef _USER_COMM_h
#define _USER_COMM_h

#include <stdint.h>
 

typedef enum
{
    GEN_STOP = 0,
    GEN_START,
    GEN_SET_FREQ,
    GEN_SET_SCALE,
    GEN_SET_OFFSET,
    GEN_SET_MM,
            
    GEN_SET_MODE = 10,
    GEN_SET_PROGRAM = 100,
    GEN_GET_STATUS = 200,
            
}OP_CODE;


typedef struct{
    OP_CODE OpCode;
    uint8_t Data[15];
}COMM_MSG_MAIN;



void DMA0_CallBack(void);
void GEN_CommInit(void);
void GEN_CommTask(void );
void GEN_ReadyToAsk(void);
void GEN_ResetAccDataStart(void);

#endif